net.minecraftforge.client

## Class GuiIngameForge

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiIngame
    - - net.minecraftforge.client.GuiIngameForge

-     public class GuiIngameForge
      extends GuiIngame

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `renderAir`
    `static boolean` | `renderArmor`
    `static boolean` | `renderBossHealth`
    `static boolean` | `renderCrosshairs`
    `static boolean` | `renderExperiance`
    `static boolean` | `renderFood`
    `static boolean` | `renderHealth`
    `static boolean` | `renderHelmet`
    `static boolean` | `renderHotbar`
    `static boolean` | `renderObjective`
    `static boolean` | `renderPortal`

    - ### Fields inherited from class net.minecraft.client.gui.GuiIngame

      `prevVignetteBrightness`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiIngameForge(Minecraft mc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScaledResolution` | `getResolution()`
    `void` | `renderFood(int width, int height)`
    `void` | `renderGameOverlay(float partialTicks, boolean hasScreen, int mouseX, int mouseY)` Render the ingame overlay with quick icon bar, ...
    `void` | `renderHealth(int width, int height)`

    - ### Methods inherited from class net.minecraft.client.gui.GuiIngame

      `getChatGUI, getUpdateCounter, setRecordPlayingMessage, updateTick`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderHelmet

          public static boolean renderHelmet

    - #### renderPortal

          public static boolean renderPortal

    - #### renderHotbar

          public static boolean renderHotbar

    - #### renderCrosshairs

          public static boolean renderCrosshairs

    - #### renderBossHealth

          public static boolean renderBossHealth

    - #### renderHealth

          public static boolean renderHealth

    - #### renderArmor

          public static boolean renderArmor

    - #### renderFood

          public static boolean renderFood

    - #### renderAir

          public static boolean renderAir

    - #### renderExperiance

          public static boolean renderExperiance

    - #### renderObjective

          public static boolean renderObjective

  - ### Constructor Detail

    - #### GuiIngameForge

          public GuiIngameForge(Minecraft mc)

  - ### Method Detail

    - #### renderGameOverlay

          public void renderGameOverlay(float partialTicks,
                               boolean hasScreen,
                               int mouseX,
                               int mouseY)

      Description copied from class: `GuiIngame`
      Render the ingame overlay with quick icon bar, ...
      Overrides:
        `renderGameOverlay` in class `GuiIngame`

    - #### getResolution

          public ScaledResolution getResolution()

    - #### renderHealth

          public void renderHealth(int width,
                          int height)

    - #### renderFood

          public void renderFood(int width,
                        int height)